> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update single subscriber's shipping and billing information

> Update single subscriber's shipping and billing information (subscriber specified by customer ID)



## OpenAPI

````yaml smt patch /v1/customers/{id}/subscriptions
openapi: 3.0.0
info:
  title: Subscriptions (SMT API)
  description: >-
    fabric's Subscriptions API lets your customers set recurring purchases of
    their desired products or services for a scheduled period (weekly, monthly,
    etc.). In addition, Subscriptions helps you retrieve and update subscription
    details, and lets your customers skip one or more subscription schedules, or
    remove a subscription. This API also lets you create and updates customers
    cancellation reasons, and subscription discounts.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01.copilot.fabric.inc/data-subscription
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Subscribers
    description: >-
      These endpoints let you create, update, or get one or all of your
      subscribers (customers who have subscriptions). If you request all
      subscribers, you will receive a paginated response; you can specify the
      page size, and which page you want.
  - name: Subscriptions
    description: >-
      These endpoints let your customers set recurring purchases of their
      desired products or services for a scheduled period (weekly, monthly,
      etc.). In addition, these endpoints let you get and update subscription
      details, and let your customers skip one or more subscription schedules,
      or remove a subscription.
  - name: Orders
    description: >-
      These endpoints let your customers purchase products and services from
      your store.
  - name: Cancellation Reasons
    description: These endpoints let you create and get cancellation reasons.
  - name: Subscription Discounts
    description: >-
      These endpoints let you create, update, deactivate, and get discount
      offers for the orders placed by your customers.
paths:
  /v1/customers/{id}/subscriptions:
    patch:
      tags:
        - Subscribers
      summary: Update single subscriber's shipping and billing information
      description: >-
        Update single subscriber's shipping and billing information (subscriber
        specified by customer ID)
      operationId: updateShippingBilling
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: Customer ID
            type: string
            example: 62cffd65e8d7eb868c6a29d6
      requestBody:
        description: Details for updating customer billing and shipping information
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateShippingBillingRequestBody'
      responses:
        '200':
          description: Request processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateShippingBillingSuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundError'
components:
  schemas:
    UpdateShippingBillingRequestBody:
      description: Details for updating customer billing and shipping information
      type: object
      properties:
        shipTo:
          $ref: '#/components/schemas/AddressShipTo'
        billTo:
          $ref: '#/components/schemas/Address'
    UpdateShippingBillingSuccessResponse:
      description: >-
        Subscription details after updating customer billing and shipping
        information
      type: object
      properties:
        subscriptions:
          type: array
          description: Subscriptions associated with this customer
          items:
            type: object
            description: Subscription details
            properties:
              item:
                type: object
                description: Subscription item
                properties:
                  sku:
                    type: string
                    description: Item SKU
                    example: MOBO-X570
    badRequestError:
      type: object
      description: Bad request error
      properties:
        responseStatus:
          type: string
          description: Brief response status
          example: BAD_REQUEST
        message:
          type: string
          description: Full response message
          example: Bad request
    notFoundError:
      type: object
      description: Not found
      properties:
        responseStatus:
          description: Brief response status
          type: string
          example: NOT_FOUND
        message:
          description: Full response message
          type: string
          example: Not found
    AddressShipTo:
      required:
        - name
        - streetAddress
        - city
        - state
        - postalCode
        - country
        - phone
      type: object
      description: Ship-to address and phone details
      properties:
        name:
          $ref: '#/components/schemas/Name'
        streetAddress:
          $ref: '#/components/schemas/StreetAddress'
        city:
          description: City name
          type: string
          example: Boston
        state:
          description: State name
          type: string
          example: MA
        postalCode:
          description: Postal code
          type: string
          example: '02127'
        country:
          description: Country name
          type: string
          example: US
        phone:
          $ref: '#/components/schemas/Phone'
    Address:
      required:
        - name
        - streetAddress
        - city
        - state
        - postalCode
        - country
        - phone
      type: object
      description: Bill-to address and phone details
      properties:
        name:
          $ref: '#/components/schemas/Name'
        streetAddress:
          $ref: '#/components/schemas/StreetAddress'
        city:
          description: City name
          type: string
          example: Boston
        state:
          description: State name
          type: string
          example: MA
        postalCode:
          description: Postal code
          type: string
          example: '02127'
        country:
          description: Country name
          type: string
          example: US
        phone:
          $ref: '#/components/schemas/Phone'
    Name:
      required:
        - firstName
        - lastName
      type: object
      description: Customer's name
      properties:
        firstName:
          type: string
          example: Pat
          description: Customer's first name
        middleName:
          type: string
          example: E
          description: Customer's middle name or initial
        lastName:
          type: string
          example: Kake
          description: Customer's last name
    StreetAddress:
      required:
        - street1
      description: Street address
      type: object
      properties:
        street1:
          description: Street address field 1
          type: string
          example: 123 Main St
        street2:
          description: Street address field 2
          type: string
          example: Suite 100
    Phone:
      required:
        - number
      type: object
      description: Customer's phone details
      properties:
        number:
          type: string
          description: Phone number
          example: '5555551234'
        kind:
          type: string
          description: Phone type
          example: home
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````